/*
 * serial.h
 *
 * Kai G. Schwebke
 * 2007-03-02
 *
 * Serial port configuration.
 *
 */
#ifndef IncSerial
#define IncSerial

#include <string>

class Serial {
   public:
      // open and configure serial device
      Serial(std::string device);

      // close serial device
      virtual ~Serial();

      // get file descriptor --
      // returns -1 on error
      inline int getFd() {
	 return fd;
      }
   private:
      void open();

      std::string device;
      int fd;
};

#endif
